Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. #1
    Wins
    Pessoal,

    Não estou conseguindo compilar a Biblioteca GD para finalizar o meu squid-graph
    por favor se alguém tiver um passo a passo para me ajudar ...muito obrigado

  2. Cara esse GD é um inferno mesmo.
    Senão mi engano tem versão TGZ no linuxpackages (caso use slackware), eu fiz seguindo a documentação do site do GD e acabou dando certo.
    Teste versões anteriores e quando for remover o pacote faça o make uninstall && make clear ou make clean, não mi lembro de cabeça.

    Veja se num falta nenhuma lib para o GD tb.
    Respire pq eh um saco,

    Falow



  3. Citação Postado originalmente por Wins
    Pessoal,

    Não estou conseguindo compilar a Biblioteca GD para finalizar o meu squid-graph
    por favor se alguém tiver um passo a passo para me ajudar ...muito obrigado
    Se vc não disser oq tah dando de errado eh dose.

    Fala os erros.

  4. #4
    Wins
    Ok desculpe, não sei se é erro ou falta de prática minha ...mas vamos lá

    eu começo com:

    proxysrv:/usr/local/src/GD# perl Makefile.PL

    NOTICE: This module requires libgd 1.8.3 or higher (shared library version 4.X).

    Please choose the features that match how libgd was built:
    Build JPEG support? [y]
    Build FreeType support? [y]
    Build XPM support? [y]

    If you experience compile problems, please check the @INC, @LIBPATH and @LIBS
    arrays defined in Makefile.PL and manually adjust, if necessary.

    Note (probably harmless): No library found for -lpng
    Note (probably harmless): No library found for -lttf
    Writing Makefile for GD

    depois eu dou o Make (como diz pra fazer no README)

    proxysrv:/usr/local/src/GD# make (ae é que fode tudo!)

    proxysrv:/usr/local/src/GD# make

    cc -c -I/usr/local/include -I/usr/local/include/gd -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -DVERSION=\"1.33\" -DXS_VERSION=\"1.33\" -fPIC "-I/usr/lib/perl/5.8/CORE" -DHAVE_JPEG -DHAVE_TTF -DHAVE_XPM GD.c
    GD.xs:7:16: error: gd.h: Arquivo ou diretório não encontrado
    GD.xs:236: error: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âGD__Imageâ
    GD.xs:237: error: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âGD__Fontâ
    GD.xs:239: error: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âgdFontGiantâ
    GD.xs:240: error: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âgdFontLargeâ


    OBS....esse erro vai embora........

    é isto...obrigado!





  5. Note (probably harmless): No library found for -lpng
    Note (probably harmless): No library found for -lttf

    Acredito que seja esse o problema.
    Antes de começar a compilar novamente, faça o make uninstall.
    Apesar de ser o perl Makefile.PL
    Num sei como limpar arquivos do perl.
    Tente com make clean ou make clear

    lynx http://www.linuxpackages.net/search_...&name=png&ver=


    lynx http://www.linuxpackages.net/search_...&name=ttf&ver=

    Tente isso e refaça a compilação com o perl

    Vamos ver o que da.

    Falow






Tópicos Similares

  1. Respostas: 3
    Último Post: 06-07-2012, 08:33
  2. Squid autenticado por usuarios - problema com logs
    Por pcborges no fórum Servidores de Rede
    Respostas: 1
    Último Post: 27-01-2008, 00:55
  3. :: Squid não está iniciando :: Problema de Permisão Denied
    Por petrolina360graus no fórum Servidores de Rede
    Respostas: 2
    Último Post: 14-01-2006, 12:50
  4. squid graph
    Por aspenbr no fórum Servidores de Rede
    Respostas: 4
    Último Post: 26-03-2004, 10:20
  5. problemas no squid
    Por roggy no fórum Servidores de Rede
    Respostas: 2
    Último Post: 25-09-2002, 15:12

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L